diff --git a/src/shutdown/umount.c b/src/shutdown/umount.c
index 928bae6ab1..148cb1651d 100644
--- a/src/shutdown/umount.c
+++ b/src/shutdown/umount.c
@@ -390,7 +390,7 @@ static int remount_with_timeout(MountPoint *m, int umount_log_level) {
 
         assert(m);
 
-        /* Due to the possiblity of a remount operation hanging, we
+        /* Due to the possibility of a remount operation hanging, we
          * fork a child process and set a timeout. If the timeout
          * lapses, the assumption is that that particular remount
          * failed. */
@@ -428,7 +428,7 @@ static int umount_with_timeout(MountPoint *m, int umount_log_level) {
 
         assert(m);
 
-        /* Due to the possiblity of a umount operation hanging, we
+        /* Due to the possibility of a umount operation hanging, we
          * fork a child process and set a timeout. If the timeout
          * lapses, the assumption is that that particular umount
          * failed. */
@@ -486,7 +486,7 @@ static int mount_points_list_umount(MountPoint **head, bool *changed, int umount
                          * underlying mount. There's nothing we can do
                          * about it for the general case, but we can
                          * do something about it if it is aliased
-                         * somehwere else via a bind mount. If we
+                         * somewhere else via a bind mount. If we
                          * explicitly remount the super block of that
                          * alias read-only we hence should be
                          * relatively safe regarding keeping a dirty fs
diff --git a/src/systemctl/systemctl.c b/src/systemctl/systemctl.c
index 92bbcfd276..993d593c3b 100644
--- a/src/systemctl/systemctl.c
+++ b/src/systemctl/systemctl.c
@@ -180,7 +180,7 @@ typedef enum BusFocus {
         _BUS_FOCUS_MAX
 } BusFocus;
 
-static sd_bus *busses[_BUS_FOCUS_MAX] = {};
+static sd_bus *buses[_BUS_FOCUS_MAX] = {};
 
 static UnitFileFlags args_to_flags(void) {
         return (arg_runtime ? UNIT_FILE_RUNTIME : 0) |
@@ -200,22 +200,22 @@ static int acquire_bus(BusFocus focus, sd_bus **ret) {
         if (getenv_bool("SYSTEMCTL_FORCE_BUS") > 0)
                 focus = BUS_FULL;
 
-        if (!busses[focus]) {
+        if (!buses[focus]) {
                 bool user;
 
                 user = arg_scope != UNIT_FILE_SYSTEM;
 
                 if (focus == BUS_MANAGER)
-                        r = bus_connect_transport_systemd(arg_transport, arg_host, user, &busses[focus]);
+                        r = bus_connect_transport_systemd(arg_transport, arg_host, user, &buses[focus]);
                 else
-                        r = bus_connect_transport(arg_transport, arg_host, user, &busses[focus]);
+                        r = bus_connect_transport(arg_transport, arg_host, user, &buses[focus]);
                 if (r < 0)
                         return log_error_errno(r, "Failed to connect to bus: %m");
 
-                (void) sd_bus_set_allow_interactive_authorization(busses[focus], arg_ask_password);
+                (void) sd_bus_set_allow_interactive_authorization(buses[focus], arg_ask_password);
         }
 
-        *ret = busses[focus];
+        *ret = buses[focus];
         return 0;
 }
 
@@ -223,7 +223,7 @@ static void release_busses(void) {
         BusFocus w;
 
         for (w = 0; w < _BUS_FOCUS_MAX; w++)
-                busses[w] = sd_bus_flush_close_unref(busses[w]);
+                buses[w] = sd_bus_flush_close_unref(buses[w]);
 }
 
 static void ask_password_agent_open_if_enabled(void) {
@@ -8800,7 +8800,7 @@ static int systemctl_main(int argc, char *argv[]) {
                 { "restart",               2,        VERB_ANY, VERB_ONLINE_ONLY, start_unit           },
                 { "try-restart",           2,        VERB_ANY, VERB_ONLINE_ONLY, start_unit           },
                 { "reload-or-restart",     2,        VERB_ANY, VERB_ONLINE_ONLY, start_unit           },
-                { "reload-or-try-restart", 2,        VERB_ANY, VERB_ONLINE_ONLY, start_unit           }, /* For compatbility with old systemctl <= 228 */
+                { "reload-or-try-restart", 2,        VERB_ANY, VERB_ONLINE_ONLY, start_unit           }, /* For compatibility with old systemctl <= 228 */
                 { "try-reload-or-restart", 2,        VERB_ANY, VERB_ONLINE_ONLY, start_unit           },
                 { "force-reload",          2,        VERB_ANY, VERB_ONLINE_ONLY, start_unit           }, /* For compatibility with SysV */
                 { "condreload",            2,        VERB_ANY, VERB_ONLINE_ONLY, start_unit           }, /* For compatibility with ALTLinux */
diff --git a/src/systemd/sd-bus-vtable.h b/src/systemd/sd-bus-vtable.h
index e3804e203c..0f43554d82 100644
--- a/src/systemd/sd-bus-vtable.h
+++ b/src/systemd/sd-bus-vtable.h
@@ -54,11 +54,11 @@ enum {
 
 extern const unsigned sd_bus_object_vtable_format;
 
-/* Note: unused areas in the sd_bus_vtable[] array must be initalized to 0. The stucture contains an embedded
- * union, and the compiler is NOT required to initalize the unused areas of the union when the rest of the
- * structure is initalized. Normally the array is defined as read-only data, in which case the linker places
- * it in the BSS section, which is always fully initalized, so this is not a concern. But if the array is
- * created on the stack or on the heap, care must be taken to initalize the unused areas, for examply by
+/* Note: unused areas in the sd_bus_vtable[] array must be initialized to 0. The structure contains an embedded
+ * union, and the compiler is NOT required to initialize the unused areas of the union when the rest of the
+ * structure is initialized. Normally the array is defined as read-only data, in which case the linker places
+ * it in the BSS section, which is always fully initialized, so this is not a concern. But if the array is
+ * created on the stack or on the heap, care must be taken to initialize the unused areas, for examply by
  * first memsetting the whole region to zero before filling the data in. */
 
 struct sd_bus_vtable {
diff --git a/src/test/test-bpf.c b/src/test/test-bpf.c
index cd8d68f215..60811fe9eb 100644
--- a/src/test/test-bpf.c
+++ b/src/test/test-bpf.c
@@ -97,7 +97,7 @@ int main(int argc, char *argv[]) {
 
         p = bpf_program_unref(p);
 
-        /* The simple tests suceeded. Now let's try full unit-based use-case. */
+        /* The simple tests succeeded. Now let's try full unit-based use-case. */
 
         assert_se(manager_new(UNIT_FILE_USER, MANAGER_TEST_RUN_BASIC, &m) >= 0);
         assert_se(manager_startup(m, NULL, NULL) >= 0);
diff --git a/src/test/test-fileio.c b/src/test/test-fileio.c
index 2ff5b9a69d..86bfc80de0 100644
--- a/src/test/test-fileio.c
+++ b/src/test/test-fileio.c
@@ -717,7 +717,7 @@ static void test_read_line_one_file(FILE *f) {
         line = mfree(line);
 
         /* read_line() stopped when it hit the limit, that means when we continue reading we'll read at the first
-         * character after the previous limit. Let's make use of tha to continue our test. */
+         * character after the previous limit. Let's make use of that to continue our test. */
         assert_se(read_line(f, 1024, &line) == 62 && streq(line, "line that is supposed to be truncated, because it is so long"));
         line = mfree(line);
 
diff --git a/src/test/test-install-root.c b/src/test/test-install-root.c
index cfddfe19a7..323e1124ba 100644
--- a/src/test/test-install-root.c
+++ b/src/test/test-install-root.c
@@ -112,7 +112,7 @@ static void test_basic_mask_and_enable(const char *root) {
         assert_se(unit_file_get_state(UNIT_FILE_SYSTEM, root, "c.service", &state) >= 0 && state == UNIT_FILE_DISABLED);
         assert_se(unit_file_get_state(UNIT_FILE_SYSTEM, root, "d.service", &state) >= 0 && state == UNIT_FILE_DISABLED);
 
-        /* Disabling a disabled unit must suceed but be a NOP */
+        /* Disabling a disabled unit must succeed but be a NOP */
         assert_se(unit_file_disable(UNIT_FILE_SYSTEM, 0, root, STRV_MAKE("a.service"), &changes, &n_changes) >= 0);
         assert_se(n_changes == 0);
         unit_file_changes_free(changes, n_changes);
diff --git a/src/test/test-pretty-print.c b/src/test/test-pretty-print.c
index 3ad80d145d..9236eb1315 100644
--- a/src/test/test-pretty-print.c
+++ b/src/test/test-pretty-print.c
@@ -15,7 +15,7 @@ static void test_terminal_urlify(void) {
         _cleanup_free_ char *formatted = NULL;
 
         assert_se(terminal_urlify("https://www.freedesktop.org/wiki/Software/systemd/", "systemd homepage", &formatted) >= 0);
-        printf("Hey, considere visiting the %s right now! It is very good!\n", formatted);
+        printf("Hey, consider visiting the %s right now! It is very good!\n", formatted);
 
         formatted = mfree(formatted);
 
diff --git a/src/test/test-sleep.c b/src/test/test-sleep.c
index e0c513ad8c..7e949154b1 100644
--- a/src/test/test-sleep.c
+++ b/src/test/test-sleep.c
@@ -61,7 +61,7 @@ static void test_sleep(void) {
                 **reboot = strv_new("reboot"),
                 **platform = strv_new("platform"),
                 **shutdown = strv_new("shutdown"),
-                **freez = strv_new("freeze");
+                **freeze = strv_new("freeze");
         int r;
 
         log_info("/* %s */", __func__);
@@ -74,7 +74,7 @@ static void test_sleep(void) {
         log_info("Hibernate+Reboot configured: %s", yes_no(can_sleep_disk(reboot) > 0));
         log_info("Hibernate+Platform configured: %s", yes_no(can_sleep_disk(platform) > 0));
         log_info("Hibernate+Shutdown configured: %s", yes_no(can_sleep_disk(shutdown) > 0));
-        log_info("Freeze configured: %s", yes_no(can_sleep_state(freez) > 0));
+        log_info("Freeze configured: %s", yes_no(can_sleep_state(freeze) > 0));
 
         log_info("/= running system =/");
         r = can_sleep("suspend");
diff --git a/src/test/test-systemd-tmpfiles.py b/src/test/test-systemd-tmpfiles.py
index 83a66e8772..7f4af38940 100755
--- a/src/test/test-systemd-tmpfiles.py
+++ b/src/test/test-systemd-tmpfiles.py
@@ -52,8 +52,8 @@ def test_invalids(*, user):
     test_line('w /unresolved/argument/sandwich - - - - "%v%Y%v"', user=user)
     test_line('w /unresolved/filename/%Y - - - - "whatever"', user=user)
     test_line('w /unresolved/filename/sandwich/%v%Y%v - - - - "whatever"', user=user)
-    test_line('w - - - - - "no file specfied"', user=user)
-    test_line('C - - - - - "no file specfied"', user=user)
+    test_line('w - - - - - "no file specified"', user=user)
+    test_line('C - - - - - "no file specified"', user=user)
     test_line('C non/absolute/path - - - - -', user=user)
     test_line('b - - - - - -', user=user)
     test_line('b 1234 - - - - -', user=user)
diff --git a/src/time-wait-sync/time-wait-sync.c b/src/time-wait-sync/time-wait-sync.c
index d02633c9a8..f4d20af2d4 100644
--- a/src/time-wait-sync/time-wait-sync.c
+++ b/src/time-wait-sync/time-wait-sync.c
@@ -241,7 +241,7 @@ static int run(int argc, char * argv[]) {
         }
 
         if (state.has_watchfile)
-                log_debug("Exit enabled by: /run/systemd/timesync/synchonized");
+                log_debug("Exit enabled by: /run/systemd/timesync/synchronized");
 
         if (state.adjtime_state == TIME_ERROR)
                 log_info("Exit without adjtimex synchronized.");
diff --git a/src/timesync/timesyncd.c b/src/timesync/timesyncd.c
index 73d40c0948..e56e09ca8c 100644
--- a/src/timesync/timesyncd.c
+++ b/src/timesync/timesyncd.c
@@ -52,7 +52,7 @@ static int load_clock_timestamp(uid_t uid, gid_t gid) {
 
                 if (geteuid() == 0) {
                         /* Try to fix the access mode, so that we can still
-                           touch the file after dropping priviliges */
+                           touch the file after dropping privileges */
                         r = fchmod_and_chown(fd, 0644, uid, gid);
                         if (r < 0)
                                 log_warning_errno(r, "Failed to chmod or chown %s, ignoring: %m", CLOCK_FILE);
diff --git a/src/udev/cdrom_id/cdrom_id.c b/src/udev/cdrom_id/cdrom_id.c
index 3f882f557b..ddcdbdaa18 100644
--- a/src/udev/cdrom_id/cdrom_id.c
+++ b/src/udev/cdrom_id/cdrom_id.c
@@ -611,7 +611,7 @@ static int cd_media_info(int fd) {
         if (!cd_media_cd_rom)
                 cd_media_state = media_status[header[2] & 3];
 
-        /* fresh DVD-RW in restricted overwite mode reports itself as
+        /* fresh DVD-RW in restricted overwrite mode reports itself as
          * "appendable"; change it to "blank" to make it consistent with what
          * gets reported after blanking, and what userspace expects  */
         if (cd_media_dvd_rw_ro && (header[2] & 3) == 1)
diff --git a/src/udev/net/naming-scheme.h b/src/udev/net/naming-scheme.h
index 0b3d9bff1d..f04c3266f0 100644
--- a/src/udev/net/naming-scheme.h
+++ b/src/udev/net/naming-scheme.h
@@ -5,7 +5,7 @@
 
 #include "macro.h"
 
-/* So here's the deal: net_id is supposed to be an excercise in providing stable names for network devices. However, we
+/* So here's the deal: net_id is supposed to be an exercise in providing stable names for network devices. However, we
  * also want to keep updating the naming scheme used in future versions of net_id. These two goals of course are
  * contradictory: on one hand we want things to not change and on the other hand we want them to improve. Our way out
  * of this dilemma is to introduce the "naming scheme" concept: each time we improve the naming logic we define a new
diff --git a/src/vconsole/vconsole-setup.c b/src/vconsole/vconsole-setup.c
index 67dc2e49f9..976dd825bc 100644
--- a/src/vconsole/vconsole-setup.c
+++ b/src/vconsole/vconsole-setup.c
@@ -247,7 +247,7 @@ static void setup_remaining_vcs(int src_fd, unsigned src_idx, bool utf8) {
                         /*
                          * Console fonts supported by the kernel are limited in size to 32 x 32 and maximum 512
                          * characters. Thus with 1 bit per pixel it requires up to 65536 bytes. The height always
-                         * requries 32 per glyph, regardless of the actual height - see the comment above #define
+                         * requires 32 per glyph, regardless of the actual height - see the comment above #define
                          * max_font_size 65536 in drivers/tty/vt/vt.c for more details.
                          */
                         fontbuf = malloc_multiply((cfo.width + 7) / 8 * 32, cfo.charcount);
diff --git a/test/TEST-20-MAINPIDGAMES/testsuite.sh b/test/TEST-20-MAINPIDGAMES/testsuite.sh
index b183ec9a6b..27b8389889 100755
--- a/test/TEST-20-MAINPIDGAMES/testsuite.sh
+++ b/test/TEST-20-MAINPIDGAMES/testsuite.sh
@@ -44,11 +44,11 @@ test `systemctl show -p MainPID --value testsuite.service` -eq $$
 systemd-notify MAINPID=1073741824
 test `systemctl show -p MainPID --value testsuite.service` -eq $$
 
-# Change it again to the external PID, without priviliges this time. This should be ignored, because the PID is from outside of our cgroup and we lack privileges.
+# Change it again to the external PID, without privileges this time. This should be ignored, because the PID is from outside of our cgroup and we lack privileges.
 systemd-notify --uid=1000 MAINPID=$EXTERNALPID
 test `systemctl show -p MainPID --value testsuite.service` -eq $$
 
-# Change it again to the internal PID, without priviliges this time. This should work, as the process is on our cgroup, and that's enough even if we lack privileges.
+# Change it again to the internal PID, without privileges this time. This should work, as the process is on our cgroup, and that's enough even if we lack privileges.
 systemd-notify --uid=1000 MAINPID=$INTERNALPID
 test `systemctl show -p MainPID --value testsuite.service` -eq $INTERNALPID
 
diff --git a/test/TEST-21-SYSUSERS/unhappy-2.input b/test/TEST-21-SYSUSERS/unhappy-2.input
index 5be0e6d187..3266b2229b 100644
--- a/test/TEST-21-SYSUSERS/unhappy-2.input
+++ b/test/TEST-21-SYSUSERS/unhappy-2.input
@@ -1,4 +1,4 @@
-# Ensure it is not allowed to create groups implicitely in the uid:gid syntax
+# Ensure it is not allowed to create groups implicitly in the uid:gid syntax
 #
 #Type Name ID  GECOS HOMEDIR
 u u1 100:100 -
diff --git a/test/TEST-22-TMPFILES/test-03.sh b/test/TEST-22-TMPFILES/test-03.sh
index 39a4badc38..8d009fb5bb 100755
--- a/test/TEST-22-TMPFILES/test-03.sh
+++ b/test/TEST-22-TMPFILES/test-03.sh
@@ -212,7 +212,7 @@ EOF
 test -f /tmp/w/overwritten
 test "$(< /tmp/w/overwritten)" = "new content"
 
-### writing into an 'exotic' file sould be allowed.
+### writing into an 'exotic' file should be allowed.
 systemd-tmpfiles --create - <<EOF
 w     /dev/null    - - - - new content
 EOF
diff --git a/test/mkosi.default.networkd-test b/test/mkosi.default.networkd-test
index 9630d3ec42..58af352f6f 100644
--- a/test/mkosi.default.networkd-test
+++ b/test/mkosi.default.networkd-test
@@ -1,7 +1,7 @@
 # Puts together an nspawn container and runs networkd-test.py in it, inside a
 # network namespace and everything. Run this with "mkosi
 # --default=mkosi.default.networkd-test boot". This will start the test and
-# eventually exit with sucess in case the test succeeded.
+# eventually exit with success in case the test succeeded.
 
 [Distribution]
 Distribution=fedora
diff --git a/test/sysv-generator-test.py b/test/sysv-generator-test.py
index abb3116c97..3d9c1ddb87 100755
--- a/test/sysv-generator-test.py
+++ b/test/sysv-generator-test.py
@@ -48,7 +48,7 @@ class SysvGeneratorTest(unittest.TestCase):
         '''Run sysv-generator.
 
         Fail if stderr contains any "Fail", unless expect_error is True.
-        Return (stderr, filename -> ConfigParser) pair with ouput to stderr and
+        Return (stderr, filename -> ConfigParser) pair with output to stderr and
         parsed generated units.
         '''
         env = os.environ.copy()
diff --git a/test/test-network/systemd-networkd-tests.py b/test/test-network/systemd-networkd-tests.py
index b44cfe8d45..11a05784a2 100755
--- a/test/test-network/systemd-networkd-tests.py
+++ b/test/test-network/systemd-networkd-tests.py
@@ -2016,7 +2016,7 @@ class NetworkdNetworkDHCPClientTests(unittest.TestCase, Utilities):
         print(output)
         self.assertRegex(output, '192.168.5.*')
 
-        # Stoping dnsmasq as networkd won't be allowed to renew the DHCP lease.
+        # Stopping dnsmasq as networkd won't be allowed to renew the DHCP lease.
         self.stop_dnsmasq(dnsmasq_pid_file)
 
         # Sleep for 120 sec as the dnsmasq minimum lease time can only be set to 120
diff --git a/test/udev-test.pl b/test/udev-test.pl
index 122359e377..b37b2e975f 100755
--- a/test/udev-test.pl
+++ b/test/udev-test.pl
@@ -279,7 +279,7 @@ KERNEL=="ttyACM0", SYMLINK+="modem"
 EOF
         },
         {
-                desc            => "sustitution of sysfs value (%s{file})",
+                desc            => "substitution of sysfs value (%s{file})",
                 devpath         => "/devices/pci0000:00/0000:00:1f.2/host0/target0:0:0/0:0:0:0/block/sda",
                 exp_name        => "disk-ATA-sda",
                 rules           => <<EOF
diff --git a/travis-ci/Dockerfile b/travis-ci/Dockerfile
index 71dd07afe8..daf0ea9c64 100644
--- a/travis-ci/Dockerfile
+++ b/travis-ci/Dockerfile
@@ -1,5 +1,5 @@
 ## Create Dockerfile that builds container suitable for systemd build
-## This container runs as non-root user by deafult
+## This container runs as non-root user by default
 
 FROM fedora:27
 
-- 
2.21.0

